%define upstream_name    URI-Escape-XS
%define upstream_version 0.13

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Drop-In replacement for URI::Escape
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/URI/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl-devel
%description
A faster Drop-In replacement for URI::Escape

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.130.0-3.mga6
+ Revision: 1035596
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.130.0-2.mga6
+ Revision: 958194
- Mageia 6 Mass Rebuild

* Sun Jul 05 2015 sander85 <sander85> 0.130.0-1.mga6
+ Revision: 851530
- update to 0.13

* Fri Jun 26 2015 tv <tv> 0.120.0-3.mga6
+ Revision: 845481
- rebuild for soname-ifed perl

* Tue Jun 23 2015 sander85 <sander85> 0.120.0-2.mga6
+ Revision: 841229
- Rebuild for perl 5.22

* Wed Dec 24 2014 buchan <buchan> 0.120.0-1.mga5
+ Revision: 805250
- imported package perl-URI-Escape-XS


* Wed Dec 24 2014 Buchan Milne <buchan> 0.12-1mga
- initial mageia release, generated with cpan2dist
